fade_interpolate(3)

NAME
fade_interpolate - Calculates a new palette interpolated between two others. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

void fade_interpolate(const PALETTE source, const PALETTE dest, PALETTE output, int pos, int from, int to);

DESCRIPTION
Calculates a temporary palette part way between source and dest, returning it in the output parameter. The position between the two extremes is specified by the pos value: 0 returns an exact copy of source, 64 returns dest, 32 returns a palette half way between the two, etc. This routine only affects colors between from and to (inclusive: pass 0 and 255 to interpolate the entire palette).

SEE ALSO
fade_in(3), fade_out(3), fade_from(3)